<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Allgemein\FreiDefinierbarerMenuepunkt;

class ControllerFactory
{
  public function getController($pAction)
  {
    switch ($pAction) {
      default:
      case 'startseite':
        return new Startseite\StartseiteController();
      case 'seite1':
        return new Seite1\Seite1Controller();
      case 'seite2':
        return new Seite2\Seite2Controller();
    }
  }
}